;================================================================================
; Final Fantasy Mystic Quest Pazuzu RNG Fix
;================================================================================
; This patch puts Pazuzu at floor six after you talk to him the first time.
; We overwrite some code in the routine at $00B4D0-$00B4E9, which I believe to
; be an "event" routine called only when Pazuzu talks to you. The jump table
; called into at $09DD9, which is the entry point into this routine seems to be
; part of some kind of event handler. 
;
; This event routine calls the RNG routine with parameters that yield a value from
; $0 - $4 which is stored at temporary, general purpose RNG storage at $A9.
; The value at $A9 is then stored at $9E for later use in determining Pazuzu's
; location. The RNG routine is still called, but LDA.w $00A9 in the event routine
; is replaced by LDA.b #$04 : NOP, $04 being the value which places Pazuzu at floor
; six.
;
; Note: The RNG routine ($009783 - $0097BD long) uses a word value in cartridge SRAM
; at $701FFE, modifying it in-place and "saving" it because it is reading and writing
; to the cart SRAM directly. This patch still calls the RNG routine and simply doesn't
; use the value it produces. But the RNG is still affected as normal, meaning there are
; no side effects (although any side effects induced by not touching $701FFE would
; likely be imperceptible.)
;================================================================================
lorom
;================================================================================
org $00B4E4 ; LDA.w $00A9
LDA.b #$04 : NOP
